/*
 * Copyright 2014 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.action;

import de.frankmuenster.jameica.depot.Settings;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action handler fr starten eines neuen AboutDialog Dialog Fensters Implements
 * {@link de.willuhn.jameica.gui.Action}
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class ViewAboutAction implements Action {

	/**
	 * Standart Konstruktor
	 */
	public ViewAboutAction() {
		// absichtlich leer
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {
		try {
			new de.frankmuenster.jameica.depot.gui.dialog.AboutDialog(
					AbstractDialog.POSITION_CENTER).open();
		} catch (Exception e) { // NOPMD
			Logger.error(Settings.getI18n().tr("ViewAboutAction.errorOpen"), e); //$NON-NLS-1$
			throw (ApplicationException) new ApplicationException(Settings
					.getI18n().tr("ViewAboutAction.errorOpen")) //$NON-NLS-1$
					.initCause(e);
		}
	}

}
