/*
 * Copyright 2014 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.frankmuenster.jameica.depot.gui.menu;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.db.rmi.Wertpapier;
import de.frankmuenster.jameica.depot.gui.action.OrderDeleteAction;
import de.frankmuenster.jameica.depot.gui.action.listener.OrderDeleteListener;
import de.frankmuenster.jameica.depot.gui.views.OrderView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;
import de.willuhn.util.ApplicationException;

/**
 * Das Orderliste Kontextmen&uuml;.
 * 
 * @author munstfr
 * @version 1.0
 */
public class OrderListeMenu extends ContextMenu {

	/**
	 * Konstruktor mit Wertpapier und Listener
	 * 
	 * @param wertpapier
	 * @param listener
	 */
	public OrderListeMenu(final Wertpapier wertpapier,
			final OrderDeleteListener listener) {

		super();
		addItem(new ContextMenuItem(
				Settings.getI18n().tr("OrderListeMenu.add"), //$NON-NLS-1$
				new Action() {

					/**
					 * @see Action#handleAction(Object context)
					 */
					@Override
					public void handleAction(final Object context)
							throws ApplicationException {
						GUI.startView(OrderView.class, wertpapier);

					}
				}));
		addItem(ContextMenuItem.SEPARATOR);
		addItem(new CheckedContextMenuItem(Settings.getI18n().tr(
				"OrderListeMenu.delete"), //$NON-NLS-1$
				new OrderDeleteAction(listener)));

	}
}
