/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.parts;

import java.rmi.RemoteException;

import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;

import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.parts.Button;
import de.willuhn.jameica.gui.util.Font;

/**
 * Ein Analyse-Button. Hat eine kleine Schrift als der Standard-Button.
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class AnalyseButton extends Button {

	/**
	 * Konstruktor mit Titel and Action
	 * 
	 * @param title
	 * @param action
	 */
	public AnalyseButton(final String title, final Action action) {
		super(title, action);
	}

	/**
	 * @see de.willuhn.jameica.gui.parts.Button#paint(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	public void paint(final Composite parent) throws RemoteException {
		super.paint(parent);

		final Font font = Font.SMALL;
		button.setFont(font.getSWTFont());

		final GridData gridData = new GridData(GridData.FILL_BOTH);
		button.setLayoutData(gridData);

		button.pack();
		button.update();
	}
}
