/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.parts.column;

import java.util.Date;

/**
 * Bean das Informationen ber einen Wechselkurs enth&auml;lt.
 * 
 * @author munstfr
 * @version 1.0
 */
public class ExchangeInfo {

	/**
	 * Ausganskurs
	 */
	private String waehrungFrom;

	/**
	 * Zielkurs
	 */
	private String waehrungTo;

	/**
	 * Datum
	 */
	private Date datum;

	/**
	 * Umtauschrate
	 */
	private double kurs;

	/**
	 * Konstruktor mit Angabe aller Informationen
	 * 
	 * @param waehrungFrom
	 * @param waehrungTo
	 * @param datum
	 * @param kurs
	 */
	public ExchangeInfo(final String waehrungFrom, final String waehrungTo,
			final Date datum, final double kurs) {
		this.waehrungFrom = waehrungFrom;
		this.waehrungTo = waehrungTo;
		this.datum = datum;
		this.kurs = kurs;
	}

	/**
	 * @return waehrungFrom
	 */
	public String getWaehrungFrom() {
		return waehrungFrom;
	}

	/**
	 * @param waehrungFrom
	 *            das zu setzende Objekt waehrungFrom
	 */
	public void setWaehrungFrom(final String waehrungFrom) {
		this.waehrungFrom = waehrungFrom;
	}

	/**
	 * @return waehrungTo
	 */
	public String getWaehrungTo() {
		return waehrungTo;
	}

	/**
	 * @param waehrungTo
	 *            das zu setzende Objekt waehrungTo
	 */
	public void setWaehrungTo(final String waehrungTo) {
		this.waehrungTo = waehrungTo;
	}

	/**
	 * @return datum
	 */
	public Date getDatum() {
		return datum;
	}

	/**
	 * @param datum
	 *            das zu setzende Objekt datum
	 */
	public void setDatum(final Date datum) {
		this.datum = datum;
	}

	/**
	 * @return kurs
	 */
	public double getKurs() {
		return kurs;
	}

	/**
	 * @param kurs
	 *            das zu setzende Objekt kurs
	 */
	public void setKurs(final double kurs) {
		this.kurs = kurs;
	}

}
