/*
 * Copyright 2016 frankmuenster.de
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * http://ec.europa.eu/idabc/eupl
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.parts.grafiken;

import java.util.Date;

/**
 * Exception f&uuml; den fall, das ein Datum nicht in den Kursenwerten gefunden
 * werden kann.
 * 
 * @author munstfr
 * @version 1.0
 */
public class DateNotInListException extends Exception {

	/**
	 * Serial UID
	 */
	private static final long serialVersionUID = 1120231316907947267L;

	/**
	 * Das nicht gefundene Datum
	 */
	private final transient Date date;

	/**
	 * Konstruktor mit Angabe des Datums
	 * 
	 * @param date
	 */
	public DateNotInListException(final Date date) {
		super();
		this.date = date;
	}

	/**
	 * Liefert das Datum
	 * 
	 * @return das Datum
	 */
	public Date getDate() {
		return this.date;
	}

}
