/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.BollingBaender; //NOPMD

import org.eclipse.swt.graphics.Color;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.gui.parts.grafiken.KursDaten;
import de.frankmuenster.jameica.depot.gui.utils.ColorUtils;
import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseLineStyle;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Bolling B&auml;nder AddAction
 * 
 * @author munstfr
 * @version 1.0
 */
public class BollingBaenderHandleAddAction extends AbstractHandleAddAction
		implements IHandleAddAction {

	/**
	 * Standardkonstruktor
	 */
	public BollingBaenderHandleAddAction() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {
		Logger.info(Settings.getI18n().tr(
				"BollingBaenderHandleAddAction.logAdd")); //$NON-NLS-1$
		handleAdd();

	}

	/**
	 * Methode hinzuf&uum,l;gen
	 */
	private void handleAdd() {

		final BollingBaenderAddDialog dialog = new BollingBaenderAddDialog();
		int order = 0;
		try {
			order = (Integer) dialog.open();
		} catch (OperationCanceledException oce) {
			Logger.info(Settings.getI18n().tr(
					"BollingBaenderHandleAddAction.logCancel")); //$NON-NLS-1$
		} catch (Exception e) { // NOPMD
			Logger.error(
					Settings.getI18n().tr(
							"BollingBaenderHandleAddAction.logAddError"), //$NON-NLS-1$
					e);
		}

		if (order != 0) {

			final KursAnalyseParameter<Integer> parameter = new KursAnalyseParameter<Integer>(
					order);
			final IKursAnalyse<Integer, KursDaten[]> bolling = new BollingBaender();
			bolling.setKursAnalyseParameter(parameter);
			bolling.setType(KursAnalyseTyp.OVERLAY_LINE);
			bolling.setLineCount(3);
			// drei Farben
			Color[] color = new Color[3];
			color[0] = ColorUtils.getRandomColor();
			color[1] = color[0];
			color[2] = color[0];
			bolling.setColor(color);
			KursAnalyseLineStyle[] lineStyle = new KursAnalyseLineStyle[3];
			lineStyle[0] = KursAnalyseLineStyle.DOTTED;
			lineStyle[1] = KursAnalyseLineStyle.FULL;
			lineStyle[2] = KursAnalyseLineStyle.FULL;
			bolling.setLineStyle(lineStyle);
			// Call listener
			notifyListeners(bolling);
		}
	}
}
