/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse;

/**
 * Parameter f&uuml;r eine Analysemethode.
 * 
 * @param <P>
 * 
 * @author munstfr
 * @version 1.0
 */
public class KursAnalyseParameter<P> {

	/**
	 * Der/die Werte
	 */
	private P value;

	/**
	 * Der Methodenname in der Chart Legende.
	 */
	private String legendTitle;

	/**
	 * Erzeugt ein neues KursAnalyseParameter Objekt mit dem Angebenden Value.
	 * 
	 * @param value
	 */
	public KursAnalyseParameter(final P value) {
		this.value = value;
	}

	/**
	 * @return legendTitle
	 */
	public String getLegendTitle() {
		return legendTitle;
	}

	/**
	 * Setzt den LegenenTitel
	 * @param title 
	 */
	public void setLegendTitle(final String title) {
		this.legendTitle = title;
	}

	/**
	 * Setzt die Parameterwerte
	 * 
	 * @param value
	 */
	public void setValue(final P value) {
		this.value = value;
	}

	/**
	 * Liefert die Parameterwerte
	 * 
	 * @return die Parameterwerte
	 */
	public P getValue() {
		return this.value;
	}
}
