/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.MOM; // NOPMD


/**
 * Parameter-Klassen-Bean f&uuml; MACD. Besteht aus period, showAsBar und
 * showAsROC. Die beiden letzten werden noch nicht verarbeitet.
 * 
 * @author munstfr
 * @version 1.0
 */
public class MomentumParameter {

	/**
	 * Standardperiodenwert
	 */
	private int period = 14;
	
	/**
	 * Zeige Momentum in BARs
	 */
	private Boolean showAsBar = false;
	
	/**
	 * Zeige Momentum as ROC
	 */
	private Boolean showAsROC = false;

	/**
	 * Standardkonstruktor
	 */
	public MomentumParameter() {
		// Absichlich leer
	}

	/**
	 * @return the showAsROC
	 */
	public Boolean getShowAsROC() {
		return showAsROC;
	}

	/**
	 * @param showAsROC
	 *            the showAsROC to set
	 */
	public void setShowAsROC(final Boolean showAsROC) {
		this.showAsROC = showAsROC;
	}

	/**
	 * @return the period
	 */
	public int getPeriod() {
		return period;
	}

	/**
	 * @param period
	 *            the period to set
	 */
	public void setPeriod(final int period) {
		this.period = period;
	}

	/**
	 * @return the showAsBar
	 */
	public Boolean getShowAsBar() {
		return showAsBar;
	}

	/**
	 * @param showAsBar
	 *            the showAsBar to set
	 */
	public void setShowAsBar(final Boolean showAsBar) {
		this.showAsBar = showAsBar;
	}

}
