/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse;

/**
 * Listern zum Behandeln von hinzuf&uuml;gen/entfernen von Methoden in dem
 * AnalyseChart.
 * 
 * @author munstfr
 * @version 1.0
 */
public interface MethodeAddRemoveListener {

	/**
	 * Sendet Benachrichtigung an Listener, wenn ein Kursanalyse hinzuge&uuml;gt
	 * wurde.
	 * 
	 * @param methode
	 *            die hinzuge&uuml;ge Methode
	 */
	void notifyAddMethode(final IKursAnalyse<?, ?> methode);

	/**
	 * Sendet Benachrichtigung an Listener, wenn ein Kursanalyse entfernt wurde.
	 * 
	 * @param methode
	 *            die entfernte Methode
	 */
	void notifyRemoveMethode(final IKursAnalyse<?, ?> methode);

	/**
	 * Sendet Benachrichtigung an Listener, das alle Methoden entfernt werden.
	 */
	void notifyRemoveAll();
}
