/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.RSI; // NOPMD

import org.jfree.chart.plot.XYPlot;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.logging.Logger;

/**
 * RelativeStrengthIndex HandleAddAction
 * 
 * @author munstfr
 * @version 1.0
 */
public class RelativeStrengthIndexHandleAction extends AbstractHandleAddAction {

	/**
	 * Standardkonstruktor
	 */
	public RelativeStrengthIndexHandleAction() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
	 */
	@Override
	public void handleAction(final Object context)
			throws de.willuhn.util.ApplicationException {

		Logger.info(Settings.getI18n().tr(
				"RelativeStrengthIndexHandleAction.logAdd")); //$NON-NLS-1$
		handleAddVolumen();
	}

	private void handleAddVolumen() {

		final RelativeStrengthIndexAddDialog dialog = new RelativeStrengthIndexAddDialog();
		int order = 0;
		try {
			order = (Integer) dialog.open();
		} catch (OperationCanceledException oce) {
			Logger.info(Settings.getI18n().tr(
					"RelativeStrengthIndexHandleAction.logAddCancel")); //$NON-NLS-1$
		} catch (Exception e) { // NOPMD
			Logger.error(
					Settings.getI18n().tr(
							"RelativeStrengthIndexHandleAction.logAddError"), e); //$NON-NLS-1$
		}

		if (order != 0) {

			final KursAnalyseParameter<Integer> parameter = new KursAnalyseParameter<Integer>(
					order);
			final IKursAnalyse<Integer, XYPlot> rsi = new RelativeStrengthIndex();
			rsi.setKursAnalyseParameter(parameter);
			rsi.setType(KursAnalyseTyp.SEPERATE_GRAPH);

			// Call listener
			notifyListeners(rsi);
		}
	}
}
