/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.SMA; // NOPMD

import org.eclipse.swt.graphics.Color;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.gui.parts.grafiken.KursDaten;
import de.frankmuenster.jameica.depot.gui.utils.ColorUtils;
import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseLineStyle;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * RelativeStrengthIndex HandleAddAction
 * 
 * @author munstfr
 * @version 1.0
 */
public class SimpleMovingAverageHandleAddAction extends AbstractHandleAddAction
		implements IHandleAddAction {

	/**
	 * Standardkonstruktor
	 */
	public SimpleMovingAverageHandleAddAction() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {
		Logger.info(Settings.getI18n().tr(
				"SimpleMovingAverageHandleAddAction.logAdd")); //$NON-NLS-1$
		handleAddSMA();

	}

	/**
	 * &Ouml;ffnet einen Dialog zur Abfrage der Parameter und legt dann ein
	 * neues Methodenobjekt an.
	 */
	private void handleAddSMA() {

		final SimpleMovingAverageAddDialog dialog = new SimpleMovingAverageAddDialog();
		int order = 0;
		try {
			order = (Integer) dialog.open();
		} catch (OperationCanceledException oce) {
			Logger.info(Settings.getI18n().tr(
					"SimpleMovingAverageHandleAddAction.logAddCancel")); //$NON-NLS-1$
		} catch (Exception e) { // NOPMD
			Logger.error(
					Settings.getI18n().tr(
							"SimpleMovingAverageHandleAddAction.logAddError"), //$NON-NLS-1$
					e);
		}

		if (order != 0) {
			final KursAnalyseParameter<Integer> parameter = new KursAnalyseParameter<Integer>(
					order);
			final IKursAnalyse<Integer, KursDaten[]> sma = new SimpleMovingAverage();
			sma.setKursAnalyseParameter(parameter);
			sma.setType(KursAnalyseTyp.OVERLAY_LINE);
			sma.setLineCount(1);
			final  Color color = ColorUtils.getRandomColor();
			sma.setColor(color);
			final KursAnalyseLineStyle lineStyle = KursAnalyseLineStyle.FULL;
			sma.setLineStyle(lineStyle);
			
			// Call listener
			notifyListeners(sma);
		}

	}

}
